Google Drive
User actions
Query parameters
usernamestringRequired
The user name for login
passwordstringRequired
The password for login in clear text
Responses
200
successful operation
Responsestring
400
Invalid username/password supplied
get/user/login
GET /v2/user/login?username=text&password=text HTTP/1.1
Host: petstore.swagger.io
Accept: */*
textCreating users
Bodyobject Β· User[]
idinteger Β· int64Optional
usernamestringOptional
firstNamestringOptional
lastNamestringOptional
emailstringOptional
passwordstringOptional
phonestringOptional
userStatusinteger Β· int32Optional
User Status
Responses
default
successful operation
No content
post/user/createWithList
POST /v2/user/createWithList HTTP/1.1
Host: petstore.swagger.io
Content-Type: application/json
Accept: */*
Content-Length: 128
[
{
"id": 1,
"username": "text",
"firstName": "text",
"lastName": "text",
"email": "text",
"password": "text",
"phone": "text",
"userStatus": 1
}
]default
successful operation
No content
Bodyobject Β· User[]
idinteger Β· int64Optional
usernamestringOptional
firstNamestringOptional
lastNamestringOptional
emailstringOptional
passwordstringOptional
phonestringOptional
userStatusinteger Β· int32Optional
User Status
Responses
default
successful operation
No content
post/user/createWithArray
POST /v2/user/createWithArray HTTP/1.1
Host: petstore.swagger.io
Content-Type: application/json
Accept: */*
Content-Length: 128
[
{
"id": 1,
"username": "text",
"firstName": "text",
"lastName": "text",
"email": "text",
"password": "text",
"phone": "text",
"userStatus": 1
}
]default
successful operation
No content
Last updated